;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; NAME:testvar
;
; PURPOSE:une sorte de keyword_set mais qd la valeur existe renvoie
; celle-ci
;
; CATEGORY:comme keyword_set
;
; CALLING SEQUENCE:res=testvar(var=variable)
; 
; INPUTS:rien
;
; KEYWORD PARAMETERS:var : n''importe quoi
;
; OUTPUTS:0 si la variable n''existe pas 
;
; COMMON BLOCKS:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; EXAMPLE:
;
;    IDL> print, testvar(var=toto)
;           0
;    IDL> print, testvar(var='toto')
;    toto
;
; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
;                      14/12/1999
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
FUNCTION testvar, var = var
   if keyword_set(var) then return, var ELSE return,  0
end
